Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
The following USE changes are necessary to proceed: [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
snakeo2
Veteran
Veteran


Joined: 01 Jan 2006
Posts: 1237

PostPosted: Sun Oct 02, 2011 6:46 pm    Post subject: The following USE changes are necessary to proceed: [SOLVED] Reply with quote

Hey guys,

I'm trying to run "emerge system" and I'm getting the message listed on the subject of my thread. Below is the entire message:

Code:



* Use eselect news to read news items.

Calculating dependencies... done!
[ebuild   R    ] dev-libs/libusb-1.0.8  USE="-static-libs%"
[ebuild     U  ] media-libs/libpng-1.4.8-r1 [1.4.8] USE="apng*"
[ebuild     U  ] sys-libs/readline-6.2_p1 [6.1_p2]
[ebuild     U  ] sys-apps/kbd-1.15.3 [1.15]
[ebuild   R    ] app-text/poppler-0.16.7  USE="curl*"
[ebuild     U  ] dev-lang/perl-5.12.4-r1 [5.12.3-r1]
[ebuild   R    ] dev-db/sqlite-3.7.7.1
[ebuild     U  ] sys-fs/udisks-1.0.4-r1 [1.0.3-r1]
[ebuild   R    ] media-libs/libdvdcss-1.2.10  USE="-static-libs%"
[ebuild     U  ] dev-libs/libevent-2.0.13 [2.0.12]
[ebuild     U  ] sys-devel/flex-2.5.35_p10 [2.5.35] USE="-test%"
[ebuild     U  ] media-libs/gstreamer-0.10.35 [0.10.32-r1] USE="introspection*"
[ebuild   R    ] sys-devel/binutils-2.21.1-r1  USE="-static-libs%"
[ebuild     U  ] media-libs/gst-plugins-base-0.10.35 [0.10.32] USE="introspection*"
[ebuild   R    ] media-libs/libcanberra-0.26  USE="gstreamer*"
[ebuild     U  ] media-video/ffmpeg-0.7.5 [0.7.4]
[ebuild     U  ] media-libs/gst-plugins-good-0.10.30 [0.10.28]
[ebuild     U  ] media-plugins/gst-plugins-x-0.10.35 [0.10.32]
[ebuild     U  ] media-plugins/gst-plugins-faad-0.10.22 [0.10.21]
[ebuild     U  ] media-libs/gst-plugins-ugly-0.10.18 [0.10.17]
[ebuild     U  ] media-plugins/gst-plugins-xvideo-0.10.35 [0.10.32]
[ebuild     U  ] media-plugins/gst-plugins-mpeg2dec-0.10.18 [0.10.17]
[ebuild     U  ] media-plugins/gst-plugins-dvdread-0.10.18 [0.10.17]
[ebuild     U  ] media-plugins/gst-plugins-ogg-0.10.35 [0.10.32]
[ebuild     U  ] media-plugins/gst-plugins-alsa-0.10.35 [0.10.32]
[ebuild     U  ] media-plugins/gst-plugins-a52dec-0.10.18 [0.10.17]
[ebuild     U  ] media-plugins/gst-plugins-vorbis-0.10.35 [0.10.32]
[ebuild     U  ] media-plugins/gst-plugins-flac-0.10.30 [0.10.28]
[ebuild     U  ] media-plugins/gst-plugins-resindvd-0.10.22 [0.10.21]
[ebuild     U  ] media-plugins/gst-plugins-mad-0.10.18 [0.10.17]
[ebuild   R    ] net-wireless/bluez-4.96  USE="gstreamer*"

The following USE changes are necessary to proceed:
#required by dev-lang/python-2.7.1-r1[sqlite,-build], required by dev-libs/gobject-introspection-0.10.8, required by media-libs/gstreamer-0.10.35[introspection], required by media-plugins/gst-plugins-mpeg2dec-0.10.18, required by media-plugins/gst-plugins-meta-0.10-r5[dvd,mpeg], required by media-libs/phonon-gstreamer-4.5.0, required by media-libs/phonon-4.5.0[gstreamer], required by x11-libs/qt-webkit-4.7.2[kde], required by kde-base/nepomuk-4.6.5, required by kde-base/kdelibs-4.6.5-r1[semantic-desktop], required by kde-base/khelpcenter-4.6.5
=dev-db/sqlite-3.7.7.1 extensions

NOTE: This --autounmask behavior can be disabled by setting
      EMERGE_DEFAULT_OPTS="--autounmask=n" in make.conf.

Use --autounmask-write to write changes to config files (honoring CONFIG_PROTECT).



I'm assuming I need to add use flags such as "sqlite, -build" listed in brackets, which I have added to my /etc/make.conf file and still nothing. Below is my /etc/make.conf file . Maybe I missed something...thanks.

Code:


# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=k8 -msse3 -O2 -pipe"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="mmx gtk tordns branding pam gnome qt4 -aqua -kdeprefix -attica -debug introspection udev kdrive bonobo (-introspection) icu threads apm lm_sensors declarative kde dvd X a52  dts dvd ffmpeg flac grcypt lignotify mp3 mp4 zlib cairo bzip2 crypt eselect 3dnow encode vlc plasma python pdf ncurses ogg opengl png -embedded svg truetype java nsplugin source jce vorbis xcb acpi xml xv sqlite alsa cups dbus hal dbus networkmanager -doc -extensions -pulseaudio cdr sse jpeg lock session startup-notificatin thunar udev additions -vboxwebsrv -vnc -static* -static-libs% -examples% -test curl unicode -json crypt% mhash% fortram gtk mudflap nls ntpl openmp (-altivec) -bootstrap -build (-fixed-point) -gcj (-hardened)-lto -multislot -nocxx -nossp -objc -objc++ -vanilla (-libffi) mpeg gstreamer semantic-desktop  sse2"
MAKEOPTS="-j3"
ACCEPT_LICENSE="*"
ACCEPT_KEYWORDS="amd64"
INPUT_DEVICES="evdev synaptics"
VIDEO_CARDS="radeon"
EMERGE_DEFAULT_OPTS="--keep-going"


_________________
Gigabyte MA790X-UD4P Motherboard
AMD Phenom II X4 940 Black Edition
MSI ATI R4650 PCIe2
250GB SATA Drive
4GB Corsair DDR2


Last edited by snakeo2 on Mon Oct 03, 2011 3:27 am; edited 1 time in total
Back to top
View user's profile Send private message
John R. Graham
Administrator
Administrator


Joined: 08 Mar 2005
Posts: 7810
Location: Somewhere over Atlanta, Georgia

PostPosted: Sun Oct 02, 2011 6:51 pm    Post subject: Reply with quote

No, what it's saying is that you need the "extensions" USE flag. You can either set it globally in /etc/make.conf or in /etc/portage/package.use on just sqlite alone.

- John
_________________
This space intentionally left blank.
Back to top
View user's profile Send private message
snakeo2
Veteran
Veteran


Joined: 01 Jan 2006
Posts: 1237

PostPosted: Sun Oct 02, 2011 7:08 pm    Post subject: Reply with quote

Johns,

Thanks for the suggestion. I went ahead and added the use flag "extensions" to my /etc/make.conf and try running emerge system again with the same result.

Code:



 built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=k8 -msse3 -O2 -pipe"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="mmx gtk tordns branding extensions pam gnome qt4 -aqua -kdeprefix -attica -debug introspection udev kdrive bonobo (-introspection) icu threads apm lm_sensors declarative kde dvd X a52  dts dvd ffmpeg flac grcypt lignotify mp3 mp4 zlib cairo bzip2 crypt eselect 3dnow encode vlc plasma python pdf ncurses ogg opengl png -embedded svg truetype java nsplugin source jce vorbis xcb acpi xml xv sqlite alsa cups dbus hal dbus networkmanager -doc -extensions -pulseaudio cdr sse jpeg lock session startup-notificatin thunar udev additions -vboxwebsrv -vnc -static* -static-libs% -examples% -test curl unicode -json crypt% mhash% fortram gtk mudflap nls ntpl openmp (-altivec) -bootstrap -build (-fixed-point) -gcj (-hardened)-lto -multislot -nocxx -nossp -objc -objc++ -vanilla (-libffi) mpeg gstreamer semantic-desktop  sse2"
MAKEOPTS="-j3"
ACCEPT_LICENSE="*"
ACCEPT_KEYWORDS="amd64"
INPUT_DEVICES="evdev synaptics"
VIDEO_CARDS="radeon"
EMERGE_DEFAULT_OPTS="--keep-going"





Code:


 emerge -uDN system

 * IMPORTANT: 7 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
[ebuild   R    ] dev-libs/libusb-1.0.8  USE="-static-libs%"
[ebuild     U  ] media-libs/libpng-1.4.8-r1 [1.4.8] USE="apng*"
[ebuild     U  ] sys-libs/readline-6.2_p1 [6.1_p2]
[ebuild     U  ] sys-apps/kbd-1.15.3 [1.15]
[ebuild   R    ] app-text/poppler-0.16.7  USE="curl*"
[ebuild     U  ] dev-lang/perl-5.12.4-r1 [5.12.3-r1]
[ebuild   R    ] dev-db/sqlite-3.7.7.1
[ebuild     U  ] sys-fs/udisks-1.0.4-r1 [1.0.3-r1]
[ebuild   R    ] media-libs/libdvdcss-1.2.10  USE="-static-libs%"
[ebuild     U  ] dev-libs/libevent-2.0.13 [2.0.12]
[ebuild     U  ] sys-devel/flex-2.5.35_p10 [2.5.35] USE="-test%"
[ebuild     U  ] media-libs/gstreamer-0.10.35 [0.10.32-r1] USE="introspection*"
[ebuild   R    ] sys-devel/binutils-2.21.1-r1  USE="-static-libs%"
[ebuild     U  ] media-libs/gst-plugins-base-0.10.35 [0.10.32] USE="introspection*"
[ebuild   R    ] media-libs/libcanberra-0.26  USE="gstreamer*"
[ebuild     U  ] media-video/ffmpeg-0.7.5 [0.7.4]
[ebuild     U  ] media-libs/gst-plugins-good-0.10.30 [0.10.28]
[ebuild     U  ] media-plugins/gst-plugins-faad-0.10.22 [0.10.21]
[ebuild     U  ] media-libs/gst-plugins-ugly-0.10.18 [0.10.17]
[ebuild     U  ] media-plugins/gst-plugins-xvideo-0.10.35 [0.10.32]
[ebuild     U  ] media-plugins/gst-plugins-mpeg2dec-0.10.18 [0.10.17]
[ebuild     U  ] media-plugins/gst-plugins-a52dec-0.10.18 [0.10.17]
[ebuild     U  ] media-plugins/gst-plugins-x-0.10.35 [0.10.32]
[ebuild     U  ] media-plugins/gst-plugins-ogg-0.10.35 [0.10.32]
[ebuild     U  ] media-plugins/gst-plugins-alsa-0.10.35 [0.10.32]
[ebuild     U  ] media-plugins/gst-plugins-dvdread-0.10.18 [0.10.17]
[ebuild     U  ] media-plugins/gst-plugins-vorbis-0.10.35 [0.10.32]
[ebuild     U  ] media-plugins/gst-plugins-flac-0.10.30 [0.10.28]
[ebuild     U  ] media-plugins/gst-plugins-resindvd-0.10.22 [0.10.21]
[ebuild     U  ] media-plugins/gst-plugins-mad-0.10.18 [0.10.17]
[ebuild   R    ] net-wireless/bluez-4.96  USE="gstreamer*"

The following USE changes are necessary to proceed:
#required by dev-lang/python-2.7.1-r1[sqlite,-build], required by dev-libs/gobject-introspection-0.10.8, required by media-libs/gstreamer-0.10.35[introspection], required by media-plugins/gst-plugins-mpeg2dec-0.10.18, required by media-plugins/gst-plugins-meta-0.10-r5[dvd,mpeg], required by media-libs/phonon-gstreamer-4.5.0, required by media-libs/phonon-4.5.0[gstreamer], required by x11-libs/qt-webkit-4.7.2[kde], required by kde-base/nepomuk-4.6.5, required by kde-base/kdelibs-4.6.5-r1[semantic-desktop], required by kde-base/khelpcenter-4.6.5
=dev-db/sqlite-3.7.7.1 extensions

NOTE: This --autounmask behavior can be disabled by setting
      EMERGE_DEFAULT_OPTS="--autounmask=n" in make.conf.

Use --autounmask-write to write changes to config files (honoring CONFIG_PROTECT).


_________________
Gigabyte MA790X-UD4P Motherboard
AMD Phenom II X4 940 Black Edition
MSI ATI R4650 PCIe2
250GB SATA Drive
4GB Corsair DDR2
Back to top
View user's profile Send private message
few
Guru
Guru


Joined: 03 Mar 2008
Posts: 448

PostPosted: Sun Oct 02, 2011 7:22 pm    Post subject: Reply with quote

Your USE variable in make.conf is broken. For your current issue: you have both 'extensions' and '-extensions' in there. In general only entries of the form '<use flag>' and '-<use flag>' are allowed, not '(<use flag>)' nor '<use flag>*' or anything else emerge prints.
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 9009

PostPosted: Sun Oct 02, 2011 7:25 pm    Post subject: Reply with quote

snakeo2 wrote:
Code:
USE="mmx gtk tordns branding extensions pam gnome qt4 -aqua -kdeprefix -attica -debug introspection udev kdrive bonobo (-introspection) icu threads apm lm_sensors declarative kde dvd X a52  dts dvd ffmpeg flac grcypt lignotify mp3 mp4 zlib cairo bzip2 crypt eselect 3dnow encode vlc plasma python pdf ncurses ogg opengl png -embedded svg truetype java nsplugin source jce vorbis xcb acpi xml xv sqlite alsa cups dbus hal dbus networkmanager -doc -extensions -pulseaudio cdr sse jpeg lock session startup-notificatin thunar udev additions -vboxwebsrv -vnc -static* -static-libs% -examples% -test curl unicode -json crypt% mhash% fortram gtk mudflap nls ntpl openmp (-altivec) -bootstrap -build (-fixed-point) -gcj (-hardened)-lto -multislot -nocxx -nossp -objc -objc++ -vanilla (-libffi) mpeg gstreamer semantic-desktop  sse2"
This USE looks very wrong. You should only have +flag and -flag in USE, never *, %, or ().

If the problem persists after cleaning that up, please try emerge --verbose --update --deep --newuse world so that we can see the flags that it wants to use for dev-db/sqlite.
Back to top
View user's profile Send private message
snakeo2
Veteran
Veteran


Joined: 01 Jan 2006
Posts: 1237

PostPosted: Mon Oct 03, 2011 3:26 am    Post subject: Reply with quote

Thanks to everyone for their suggestions. I cleaned up my /etc/make.conf and was able to update my system with no hiccups.
_________________
Gigabyte MA790X-UD4P Motherboard
AMD Phenom II X4 940 Black Edition
MSI ATI R4650 PCIe2
250GB SATA Drive
4GB Corsair DDR2
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum